#quiz-container {
    max-width: 600px;
    margin: 20px auto;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    color: #ffebe0;
    line-height: 1.6;
    background-color: #7b2a3b;
    background-image: url(images/snowflakes-400.webp);
    background-repeat: repeat;
}
#options {
    list-style: none;
    padding: 0;
}
#options li {
    padding: 10px;
    background-color: rgb(211 211 211 / 92%);
    color: #000;
    border: 1px solid #bbb;
    margin-bottom: 8px;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#options li:hover {
    background-color: #c4c4c4;
}
.correct {
    background-color: #c8e6c9;
    border-color: #2e7d32;
    color: #2e7d32;
}
.wrong {
    background-color: #ffbaba;
    border-color: #c62828;
    color: #000;
}
#next-button {
    background-color: #d9534f;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 1em;
    border-radius: 4px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
#next-button:hover {
    background-color: #c9302c;
}
#play-again-button {
    background-color: #d9534f;
    color: #fff;
    border: 2px solid #fff;
    padding: 10px 20px;
    font-size: 1em;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
    margin-top: 20px;
    text-align: center;
    display: block;
    width: auto;
    margin-left: auto;
    margin-right: auto;
}
#play-again-button:hover {
    background-color: #c9302c;
    transform: scale(1.05);
    border-color: gold;
}
#progress {
    margin-top: 20px;
    background: rgba(48, 8, 8, 0.8);
    color: #fff;
    padding: 10px;
    border-radius: 4px;
}
#quote {
    font-size: 1.6em;
    font-weight: 700;
    margin-bottom: 20px;
    background: rgba(48, 8, 8, 0.8);
    padding: 30px;
    border-radius: 4px;
    position: relative;
    margin: 16px 0;
}
blockquote#quote {
    color: white;
    border-left: 0.375rem solid white;
}
#quiz-container blockquote::before {
    font-size: 80px;
    color: #d12621;
    position: absolute;
    top: -40px;
    left: 10px;
}
#message {
    color: #000;
    display: none;
}
#error-message {
    color: red;
    display: none;
}
.message {
    padding: 10px;
    background: #fff;
    font-weight: 700;
    font-size: 1.3em;
}
